Podatność CVE-2004-0914


Publikacja: 2005-01-10   Modyfikacja: 2012-02-12

Opis:
Multiple vulnerabilities in libXpm for 6.8.1 and earlier, as used in XFree86 and other packages, include (1) multiple integer overflows, (2) out-of-bounds memory accesses, (3) directory traversal, (4) shell metacharacter, (5) endless loops, and (6) memory leaks, which could allow remote attackers to obtain sensitive information, cause a denial of service (application crash), or execute arbitrary code via a certain XPM image file. NOTE: it is highly likely that this candidate will be SPLIT into other candidates in the future, per CVE's content decisions.

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:C/A:C)

Ogólna skala CVSS
Znaczenie
Łatwość wykorzystania
10/10
10/10
10/10
Wymagany dostęp
Złożoność ataku
Autoryzacja
Zdalny
Niska
Nie wymagana
Wpływ na poufność
Wpływ na integralność
Wpływ na dostępność
Pełny
Pełny
Pełny
Affected software
Xfree86 project -> X11r6 
X.org -> X11r6 
SUSE -> Suse linux 
Redhat -> Fedora core 
Lesstif -> Lesstif 
Gentoo -> Linux 

 Referencje:
http://rhn.redhat.com/errata/RHSA-2004-537.html
http://www.debian.org/security/2004/dsa-607
http://www.gentoo.org/security/en/glsa/glsa-200411-28.xml
http://www.gentoo.org/security/en/glsa/glsa-200502-06.xml
http://www.gentoo.org/security/en/glsa/glsa-200502-07.xml
http://www.linuxsecurity.com/content/view/106877/102/
http://www.mandriva.com/security/advisories?name=MDKSA-2004:137
http://www.redhat.com/archives/fedora-legacy-announce/2006-January/msg00001.html
http://www.redhat.com/support/errata/RHSA-2004-610.html
http://www.redhat.com/support/errata/RHSA-2005-004.html
http://www.securityfocus.com/bid/11694
http://www.ubuntu.com/usn/usn-83-1
http://www.ubuntu.com/usn/usn-83-2
http://www.x.org/pub/X11R6.8.1/patches/README.xorg-681-CAN-2004-0914.patch
http://www1.itrc.hp.com/service/cki/docDisplay.do?docId=HPSBTU01228
https://exchange.xforce.ibmcloud.com/vulnerabilities/18142
https://exchange.xforce.ibmcloud.com/vulnerabilities/18144
https://exchange.xforce.ibmcloud.com/vulnerabilities/18145
https://exchange.xforce.ibmcloud.com/vulnerabilities/18146
https://exchange.xforce.ibmcloud.com/vulnerabilities/18147
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9943

Copyright 2022, cxsecurity.com

 

Back to Top